
From: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>

This patch adds the error check of acpi_register_gsi() into hpet driver.

Signed-off-by: Kenji Kaneshige <kaneshige.kenji@jp.fujitsu.com>
Cc: <acpi-devel@lists.sourceforge.net>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/char/hpet.c |    8 ++++++--
 1 files changed, 6 insertions(+), 2 deletions(-)

diff -puN drivers/char/hpet.c~acpi_register_gsi-change-hpet-driver drivers/char/hpet.c
--- devel/drivers/char/hpet.c~acpi_register_gsi-change-hpet-driver	2005-07-28 11:42:13.000000000 -0700
+++ devel-akpm/drivers/char/hpet.c	2005-07-28 11:42:13.000000000 -0700
@@ -906,11 +906,15 @@ static acpi_status hpet_resources(struct
 		if (irqp->number_of_interrupts > 0) {
 			hdp->hd_nirqs = irqp->number_of_interrupts;
 
-			for (i = 0; i < hdp->hd_nirqs; i++)
-				hdp->hd_irq[i] =
+			for (i = 0; i < hdp->hd_nirqs; i++) {
+				int rc =
 				    acpi_register_gsi(irqp->interrupts[i],
 						      irqp->edge_level,
 						      irqp->active_high_low);
+				if (rc < 0)
+					return AE_ERROR;
+				hdp->hd_irq[i] = rc;
+			}
 		}
 	}
 
_
